## plasma-integration 6.5.0+p24.04+vstable+git20251028.2248

=== debian/changelog ===
plasma-integration (6.5.0+p24.04+vstable+git20251028.2248-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 22:48:29 +0000

plasma-integration (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:30:42 +0000
