=== debian/control ===
Source: plasma-integration
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: breeze-dev,
               cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-knotifications-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kwayland-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5kio-dev,
               libkf5notifications-dev,
               libkf5wayland-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libqt5waylandclient5-dev,
               libqt5x11extras5-dev,
               libwayland-dev,
               libxcursor-dev,
               pkg-kde-tools-neon,
               pkgconf,
               plasma-wayland-protocols,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-wayland-dev,
               qt6-wayland-dev-tools,
               qtbase5-dev,
               qtbase5-private-dev,
               qtdeclarative5-dev,
               qtquickcontrols2-5-dev,
               qtwayland5-dev-tools
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-integration
Vcs-Git: https://invent.kde.org/neon/kde/plasma-integration.git
Vcs-Browser: https://invent.kde.org/neon/kde/plasma-integration
Maintainer: Neon CI <neon@kde.org>

Package: plasma-integration
Architecture: any
Depends: breeze,
         fonts-hack,
         fonts-noto-cjk,
         fonts-noto-color-emoji,
         fonts-noto-core,
         fonts-noto-ui-core,
         kf6-qqc2-desktop-style,
         qml6-module-org-kde-qqc2breezestyle,
         xdg-desktop-portal-kde,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt Platform Theme integration plugins for KDE Plasma
 A plugin to provide Qt Platform Theme integration for the Plasma
 workspace.

Package: plasma-integration5
Architecture: any
Depends: plasma-integration,
         qml-module-org-kde-qqc2desktopstyle,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt Platform Theme integration plugins for KDE Plasma
 A plugin to provide Qt Platform Theme integration for the Plasma
 workspace.
