## plasma-integration 6.5.1+p24.04+vstable+git20251029.0731

=== debian/changelog ===
plasma-integration (6.5.1+p24.04+vstable+git20251029.0731-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 07:31:44 +0000

plasma-integration (6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 05:57:05 +0000
