=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: plasma-integration
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: breeze-dev (>= 4:6.5.3~),
+               cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               breeze-dev (>= 4:6.4.91~),
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 5.102.0~),
+               extra-cmake-modules (>= 6.18.0~),
                gettext,
                libkf5config-dev (>= 5.102.0~),
                libkf5configwidgets-dev (>= 5.102.0~),
@@ -44,16 +45,17 @@
                qt6-base-private-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),
                qt6-wayland-dev (>= 6.9.0~),
-               qt6-wayland-dev-tools (>= 5.15.2~),
+               qt6-wayland-dev-tools (>= 6.9.0~),
                qtbase5-dev (>= 5.15.2~),
                qtbase5-private-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qtquickcontrols2-5-dev (>= 5.15.2~),
                qtwayland5-dev-tools (>= 5.15.2~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/plasma-integration
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-integration
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-integration.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-integration
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-integration
+Rules-Requires-Root: no
 
 Package: plasma-integration
 Architecture: any
@@ -77,9 +79,7 @@
          qml-module-org-kde-qqc2desktopstyle,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: fonts-hack,
-            fonts-noto-core,
-            fonts-noto-ui-core,
+Recommends: fonts-hack, fonts-noto-core, fonts-noto-ui-core,
 Enhances: kio,
 Breaks: plasma-integration (<< 6.1.0~),
 Replaces: plasma-integration (<< 6.1.0~),
