## plasma-integration 6.5.4+p24.04+vstable+git20251209.1441

=== debian/changelog ===
plasma-integration (6.5.4+p24.04+vstable+git20251209.1441-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 14:41:09 +0000

plasma-integration (6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:23:28 +1000

plasma-integration (6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:15:10 +1000

plasma-integration (6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:14:14 +1000
