## plasma-integration 6.5.4+p24.04+vstable+git20260105.1213

=== debian/changelog ===
plasma-integration (6.5.4+p24.04+vstable+git20260105.1213-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 12:13:55 +0000
