## plasma-integration 6.5.4+p24.04+vunstable+git20260103.0205

=== debian/changelog ===
plasma-integration (6.5.4+p24.04+vunstable+git20260103.0205-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 02:05:57 +0000
