## plasma-integration 6.5.4+p24.04+vunstable+git20260107.1244

=== debian/changelog ===
plasma-integration (6.5.4+p24.04+vunstable+git20260107.1244-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 12:44:22 +0000
