=== debian/changelog ===
plasma-integration (6.5.5-0ubuntu6) resolute; urgency=medium

  * Update build deps for Qt 6.10.

 -- Rik Mills <rikmills@kde.org>  Tue, 17 Feb 2026 06:48:08 +0000

plasma-integration (6.5.5-0ubuntu5) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Feb 2026 15:57:00 +0000

plasma-integration (6.5.5-0ubuntu4) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 23:06:57 +0000

plasma-integration (6.5.5-0ubuntu3) resolute; urgency=medium

  * No-change rebuild against Qt 5.15.18 on amd64v3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 18 Jan 2026 00:56:19 +0300

plasma-integration (6.5.5-0ubuntu2) resolute; urgency=medium

  * No-change rebuild against Qt 5.15.18.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 14 Jan 2026 13:07:48 +0300

plasma-integration (6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 15:06:57 +0000
